Path parameters
-
Comma-separated list of data streams, indices, and index aliases used to limit the request. Wildcard expressions (*) are supported.
Query parameters
-
If false, the request returns an error if any wildcard expression, index alias, or _all value targets only missing or closed indices. This behavior applies even if the request targets other open indices. For example, a request targeting foo*,bar* returns an error if an index starts with foo but no index starts with bar.
Default value is
true. -
Type of index that wildcard expressions can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as open,hidden.
Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
Default value is
open. -
If true, returns settings in flat format.
Default value is
false. -
If true, return all default settings in the response.
Default value is
false. -
If true, the request retrieves information from the local node only. Defaults to false, which means information is retrieved from the master node.
Default value is
false. -
Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
Default value is
30s. -
Return only information on specified index features
Supported values include:
aliases,mappings,settingsDefault value is
['aliases', 'mappings', 'settings'].
GET /my-index-000001
resp = client.indices.get(
index="my-index-000001",
)
const response = await client.indices.get({
index: "my-index-000001",
});
response = client.indices.get(
index: "my-index-000001"
)
$resp = $client->indices()->get([
"index" => "my-index-000001",
]);
curl -X GET -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/my-index-000001"
var response = await client.Indices.GetAsync(indices: new[] { "my-index-000001" });
client.indices().get(g -> g
.index("my-index-000001")
);